Page 4 of 5 FirstFirst ... 2345 LastLast
Results 46 to 60 of 65

Thread: Проблемы с установкой пакетов OptWare & EntWare

  1. #46
    Приветствую уважаемые!
    Являюсь владельцем ASUS rt-N10U прошивка 1.9.2.7-rtn-r4330
    Прошу помощи, в линуксе чайник. Изначальная задача- установка и настройка nShaper
    Попытался сделать по этой инструкции http://wl500g.info/showthread.php?27...Linux&langid=3 чтобы можно было "привычно" работать с файловой системой в роутере.
    Сложность возникла с openssh-sftp-server. Через терминал выполнил-
    Code:
    mkdir /tmp/local/opt
     mount /tmp/local/opt /opt
     ipkg.sh update #обновление самого скрипта
     ipkg install ipkg-opt #это установка взрослого менеджера пакетов (хотя в оригинале было  ipkg.sh install ipkg-opt, но выпадала ошибка)
     ipkg update #обновление этого менеджера - перестраховка
     ipkg upgrade #обновление этого менеджера - перестраховка
    ipkg install openssh-sftp-server
     if [ ! -f "/usr/local/sbin/post-boot" ]; then
      mkdir -p /usr/local/sbin/
      echo "#!/bin/sh" >> /usr/local/sbin/post-boot
     fi
     echo "mount /tmp/local/opt /opt" >> /usr/local/sbin/post-boot
     chmod +x /usr/local/sbin/post-boot #помечаем post-boot как исполняемый
    flashfs save && flashfs commit && flashfs enable && reboot
    После перезагрузки openssh-sftp-server так и не стартовал, помогите разобраться. По команде ipkg status выдает
    Code:
     ipkg status
    Package: ipkg-opt
    Version: 0.99.163-10
    Depends: uclibc-opt
    Status: install user installed
    Architecture: mipsel
    Installed-Time: 1361952651
    
    Package: openssh-sftp-server
    Version: 5.9p1-1
    Depends: openssl, zlib
    Status: install user installed
    Architecture: mipsel
    
    Package: openssl
    Version: 0.9.7m-6
    Status: install ok installed
    Architecture: mipsel
    
    Package: uclibc-opt
    Version: 0.9.28-13
    Suggests: ipkg-opt
    Status: install ok installed
    Architecture: mipsel
    
    Package: zlib
    Version: 1.2.5-1
    Status: install ok installed
    Architecture: mipsel
    
    Successfully terminated.

    Как запустить этот пакейдж openssh-sftp-server ? Видимо проблема с ipkg.sh install ipkg-opt, подозреваю что ipkg install ipkg-opt это не тоже самое, хоть и установилось?
    Last edited by slxoxol; 01-03-2013 at 12:10.

  2. #47
    Join Date
    Jul 2007
    Location
    World
    Posts
    103
    Здравствуйте!

    Установил opkg, и теперь некоторые установленные пакеты дублируются. Не может ли это стать причиной каких бы то ниблоы неприятных багов?

    Code:
    [...]$ opkg list_installed
    accel-ppp - 1.7.3-1
    libc - 0.9.32-4
    libgcc - 4.6.3-4
    libopenssl - 1.0.1e-1
    libpcre - 8.11-2
    libpthread - 0.9.32-4
    librt - 0.9.32-4
    zlib - 1.2.7-1
    
    [...]$ ipkg list_installed
    adduser - 1.10.3-1 -
    cron - 4.1-9 -
    e2fslibs - 1.41.12-1 -
    findutils - 4.2.32-1 -
    glib - 2.20.4-1 -
    ipkg - 0.99.163-2 -
    ipkg-opt - 0.99.163-10 -
    ldconfig - 0.9.32-4 -
    libc - 0.9.32-4 -
    libgcc - 4.6.3-4 -
    libpthread - 0.9.32-4 -
    librt - 0.9.32-4 -
    libstdcpp - 4.6.3-4 -
    mc - 4.7.5.5-1 -
    ncurses - 5.7-1 -
    opkg - 618-3 -
    psmisc - 22.13-1 -
    slang - 2.1.4-1 -
    uclibc-opt - 0.9.28-13 -
    Successfully terminated.
    Начала выскакивать ошибка с текстом "can't handle reloc type 47" на любую попытку что-то запустить.
    Прошивка - последняя от энтузиастов. Последнее, что делал - установил accel-ppp через opkg.

    Подскажите пожалуйста, в чём может быть проблема?
    Last edited by Omega; 19-04-2013 at 09:44. Reason: 2 posts merged

  3. #48
    Quote Originally Posted by Gaku View Post
    Начала выскакивать ошибка с текстом "can't handle reloc type 47" на любую попытку что-то запустить.
    Прошивка - последняя от энтузиастов. Последнее, что делал - установил accel-ppp через opkg.
    Запустить что именно? Не определяли ли переменную LD_LIBRARY_PATH?
    С пакетом accel-ppp всё в порядке.

  4. #49
    Join Date
    Jul 2007
    Location
    World
    Posts
    103
    Quote Originally Posted by ryzhov_al View Post
    Запустить что именно? Не определяли ли переменную LD_LIBRARY_PATH?
    С пакетом accel-ppp всё в порядке.
    Выполнил две команды, как писали в форуме
    unset LD_PRELOAD
    unset LD_LIBRARY_PATH

    но почему-то ошибка осталась. Или их надо прописать в автозагрузке?

  5. #50
    Пожалуйста, ответьте на мой первый вопрос.
    Quote Originally Posted by Gaku View Post
    но почему-то ошибка осталась. Или их надо прописать в автозагрузке?
    Нет.

  6. #51
    Join Date
    Nov 2006
    Location
    Russia, Moscow
    Posts
    3,640
    Gaku
    У вас однозначно каша из библиотек Optware и Entware. О подобном не раз писали на форуме, но ведь читать всем неохота...

    Это сообщение выдаёт загрузчик ELF бинарников (ld.so).

  7. #52
    Join Date
    Jul 2007
    Location
    World
    Posts
    103
    Quote Originally Posted by ryzhov_al View Post
    Пожалуйста, ответьте на мой первый вопрос.
    "Запустить что именно?" -- любое приложение. mc, nano, accel-ppp, etc.

    Каша - есть, я про неё так ничего и не нашёл :-( Подскажите пожалуйста примерно где почитать?

    Пытаюсь удалять пакеты ipkg и устанавливать их же через opkg... не хотелось бы вообще всё терять.
    Можно ли такую ошибку победить без удаления всего, что установлено с обоих репозитариев?
    "nano: can't load library 'libc.so.0'"

    force-reinstall пакета libc вернул к той же самой ошибке "can't handle reloc type 47"
    Last edited by Omega; 19-04-2013 at 09:42. Reason: 2 posts merged

  8. #53
    Лучше с нуля переставь на EntWare, а конфиги перенеси.
    Роутер: RT-N66U
    Прошивка: Tomato Firmware 1.28.0000 MIPSR2 K26 USB AIO-64K by Shibby

  9. #54
    Quote Originally Posted by Gaku View Post
    Пытаюсь удалять пакеты ipkg и устанавливать их же через opkg... не хотелось бы вообще всё терять.
    Можно ли такую ошибку победить без удаления всего, что установлено с обоих репозитариев?
    "nano: can't load library 'libc.so.0'"

    force-reinstall пакета libc вернул к той же самой ошибке "can't handle reloc type 47"
    уже сто раз говорили, что нельзя мешать optware с entware..

    совершенно два разных репозитария..

    охота сохранить сделайте чистый раздел под entware, оставив optware таким, какой он был..

  10. #55
    Join Date
    Jul 2007
    Location
    World
    Posts
    103
    Правильно ли я понимаю, что при установке на новую флешку, нужно сначала устновить ipkg и только потом opkg?

    mkdir /tmp/mnt/disc0_1/opt
    mount --obind /tmp/mnt/disc0_1/opt /opt
    ipkg.sh update
    ipkg.sh install ipkg-opt
    ipkg update
    ipkg install opkg
    Но как через putty-dropbear выкачать все конфиги?

  11. #56
    Join Date
    Mar 2011
    Location
    Moscow
    Posts
    233
    Quote Originally Posted by Gaku View Post
    Но как через putty-dropbear выкачать все конфиги?
    При помощи winscp, например.
    WL500gp 1.9.2.7-d-r2624, Optware.

  12. #57
    Quote Originally Posted by Gaku View Post
    Правильно ли я понимаю, что при установке на новую флешку, нужно сначала устновить ipkg и только потом opkg?



    Но как через putty-dropbear выкачать все конфиги?
    нет, есть статичный opkg при помощи которого происходит установка, подробнее здесь -

    http://code.google.com/p/wl500g-repo/wiki/Using

  13. #58
    Ребята, подскажите пожалуйста, я не силен в linux.

    суть такова, вставил флешку в роутер, смонтировал.
    Далее как в инструкции :
    cd /opt
    $ wget http://wl500g-repo.googlecode.com/sv...are_install.sh

    В ответ выдает вот такое:

    Connecting to wl500g-repo.googlecode.com (173.194.71.82:80)
    wget: can't open 'entware_install.sh': Read-only file system

    что делать в этой ситуации и как быть?
    Помогите пожалуйста!

  14. #59
    Quote Originally Posted by artecon View Post
    Ребята, подскажите пожалуйста, я не силен в linux.
    Какой роутер? Какая прошивка? Какая файловая система на флешке?

  15. #60
    Join Date
    Oct 2009
    Posts
    529
    Blog Entries
    1
    Quote Originally Posted by artecon View Post
    wget: can't open 'entware_install.sh': Read-only file system
    Проверьте что куда смонтировано (команды mount и df)

Page 4 of 5 FirstFirst ... 2345 LastLast

Similar Threads

  1. Replies: 220
    Last Post: 06-02-2016, 10:53
  2. RT-N66U Entware / Optware
    By newbiefan in forum German Discussion - Deutsch (DE)
    Replies: 44
    Last Post: 08-01-2014, 22:39
  3. Optware oder Entware?
    By newbiefan in forum German Discussion - Deutsch (DE)
    Replies: 9
    Last Post: 20-12-2012, 16:51
  4. Проблемы с установкой и настройкой VPN сервера poptop
    By icCE in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 123
    Last Post: 27-07-2012, 11:09
  5. Проблемы установки пакетов ipkg и запуска программ
    By FilimoniC in forum Russian Discussion - РУССКИЙ (RU)
    Replies: 268
    Last Post: 28-12-2011, 15:05

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •